package com.dxhy.erp.dao;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.dxhy.erp.entity.VoucherRecord;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @Author wangzhikun
 * @Date 2023/3/23 2023/3/23
 */
@Mapper
public interface VoucherRecordDao extends BaseMapper<VoucherRecord> {
    List<String> selectRepeat(@Param("belnr") String s);

    void deleteBatch(@Param("deleteKeys") List<VoucherRecord> deleteKeys);

    List<String> selectRepeatByBelnr(@Param("belnrs") List<String> belnrs);
}
